# Web3 ID Resolution

Yodl currently supports Web3 ID resolution for the following providers:

* Yodl Links
* [ENS](https://ens.domains/)
* [**.box**](https://www.my.box/)
* [Unstoppable Domains](https://unstoppabledomains.com/)
* [Freename](https://freename.io/)

### Yodl Links

Yodl Links are native to the Yodl platform and under active development. A Yodl link consists of an EVM-compatible wallet address, a list of preferred chains, and preferred coins to receive.  More details to come soon.

### ENS

Yodl supports [forward resolution](https://docs.ens.domains/learn/resolution#forward-resolution) of all ENS domains and subdomains to addresses and displays a user's avatar if defined in an [Avatar](https://docs.ens.domains/web/avatars) record. Yodl currently only resolves to a user's configured Ethereum address and does not yet support [multi-chain addresses](https://docs.ens.domains/web/resolution#multi-chain).

### .box

Yodl supports the resolution the [**.box**](https://www.my.box/) domain '.box' using standard ENS forward resolution.

### Unstoppable Domains

Yodl supports the following top-level domains from [Unstoppable Domains](https://unstoppabledomains.com/):

-> .crypto, .bitcoin, .blockchain, .unstoppable, .dao, .nft, .888, .wallet, .x, .klever, .hi, .kresus, .polygon, .anime,  .manga, .binanceus, .go, .altimist, .pudgy, .austin, .bitget, .pog, .clay, .witg, .metropolis, .wrkx, .secret, .zil

Yodl displays the configured avatar for Unstoppable Domains user and resolves an Unstoppable Domain to the [address](https://docs.unstoppabledomains.com/openapi/resolution/#operation/OwnerController.getDomain) registered for the domain owner.

### Freename.io

Yodl supports the following top-level Web3 domains from [Freename.io](https://freename.io/). The following Freename domains are currently supported:

-> .hodl, .metaverse, .token, .satoshi, .moon, .airdrop

Yodl will display an avatar if the freename domain has an [Avatar record](https://docs.freename.io/freename-service-\(fns\)-docs#7b7ae5d716e540da83b787aa43f35d4e) configured.

If the freename domain has an ETH token record, Yodl will use the address in that record. If no ETH Token record exists, Yodl will check for a MATIC Token record. If neither is present, Yodl will not resolve the freename domain.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yodl.me/yodl-documentation/api/web3-id-resolution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
